GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
gtpin::GtArchRegType Class Reference
GEN Register

Type of the architecture (ARF) register. More...

`#include <gt_reg.h>`

## Public Member Functions
| GtArchRegType (GED_ARCH_REG v=GED_ARCH_REG_INVALID)
| Conversion constructor.
| operator GED_ARCH_REG () const
| Conversion operator.
bool | operator== (const GtArchRegType &other) const
| Equality operator.
bool | operator!= (const GtArchRegType &other) const
| Inequality operator.
bool | operator< (const GtArchRegType &other) const
| Operator 'less'.
bool | IsValid () const
| Return true for a valid register type.
bool | IsNull () const
| Return true for the NULL regiser type.
bool | IsIp () const
| Return true for the IP regiser type.
bool | IsState () const
| Return true for the STATE regiser type.
bool | IsAddr () const
| Return true for the ADDRESS regiser type.
bool | IsFlag () const
| Return true for the FLAG regiser type.
bool | IsAcc () const
| Return true for the ACC regiser type.
bool | IsTimeStamp () const
| Return true for the TM regiser type.
bool | IsChannelEnable () const
| Return true for the CE regiser type.
bool | IsDebug () const
| Return true for the DBG regiser type.
bool | IsStackPointer () const
| Return true for the SP regiser type.
bool | IsScalar () const
| Return true for the SCALAR regiser type.
const char * | ToString () const
| Return string representation.

## Detailed Description

Type of the architecture (ARF) register.

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT